summaryrefslogtreecommitdiffstats
path: root/games/OpenJK
diff options
context:
space:
mode:
author Danny Schmarsel2016-12-27 22:12:54 +0100
committer David Spencer2016-12-31 00:30:10 +0100
commit59cbcfe36bb8ab6fcf6a03f33be6f69a803c3b32 (patch)
tree3296c01880d8c29c4d111315f39c552a110d762a /games/OpenJK
parent4d95215bac7672e0c5b780cb8da263adb4a281db (diff)
downloadslackbuilds-59cbcfe36bb8ab6fcf6a03f33be6f69a803c3b32.tar.gz
games/OpenJK: Added (Port of the Jedi Academy game engine).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'games/OpenJK')
-rw-r--r--games/OpenJK/OpenJK-academy-multi.desktop9
-rw-r--r--games/OpenJK/OpenJK-academy.desktop9
-rw-r--r--games/OpenJK/OpenJK-academy.pngbin0 -> 13571 bytes
-rw-r--r--games/OpenJK/OpenJK-outcast.desktop9
-rw-r--r--games/OpenJK/OpenJK-outcast.pngbin0 -> 15712 bytes
-rw-r--r--games/OpenJK/OpenJK.SlackBuild126
-rw-r--r--games/OpenJK/OpenJK.info10
-rw-r--r--games/OpenJK/README25
-rw-r--r--games/OpenJK/doinst.sh3
-rw-r--r--games/OpenJK/slack-desc19
10 files changed, 210 insertions, 0 deletions
diff --git a/games/OpenJK/OpenJK-academy-multi.desktop b/games/OpenJK/OpenJK-academy-multi.desktop
new file mode 100644
index 0000000000..8abdbaeb4d
--- /dev/null
+++ b/games/OpenJK/OpenJK-academy-multi.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=Jedi Academy (Multi)
+Comment=A Linux port of Star Wars Jedi Knight: Jedi Academy
+Icon=OpenJK-academy.png
+Exec=/opt/JediAcademy/openjk.TARGETARCH
+Terminal=false
+Categories=Application;Game;
diff --git a/games/OpenJK/OpenJK-academy.desktop b/games/OpenJK/OpenJK-academy.desktop
new file mode 100644
index 0000000000..2550a4b153
--- /dev/null
+++ b/games/OpenJK/OpenJK-academy.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=Jedi Academy (Single)
+Comment=A Linux port of Star Wars Jedi Knight: Jedi Academy
+Icon=OpenJK-academy.png
+Exec=/opt/JediAcademy/openjk_sp.TARGETARCH
+Terminal=false
+Categories=Application;Game;
diff --git a/games/OpenJK/OpenJK-academy.png b/games/OpenJK/OpenJK-academy.png
new file mode 100644
index 0000000000..715cb9bd30
--- /dev/null
+++ b/games/OpenJK/OpenJK-academy.png
Binary files differ
diff --git a/games/OpenJK/OpenJK-outcast.desktop b/games/OpenJK/OpenJK-outcast.desktop
new file mode 100644
index 0000000000..43950091c4
--- /dev/null
+++ b/games/OpenJK/OpenJK-outcast.desktop
@@ -0,0 +1,9 @@
+[Desktop Entry]
+Type=Application
+Encoding=UTF-8
+Name=Jedi Outcast (Single)
+Comment=A Linux port of Star Wars Jedi Knight II: Jedi Outcast
+Icon=OpenJK-outcast.png
+Exec=/opt/JediOutcast/openjo_sp.TARGETARCH
+Terminal=false
+Categories=Application;Game;
diff --git a/games/OpenJK/OpenJK-outcast.png b/games/OpenJK/OpenJK-outcast.png
new file mode 100644
index 0000000000..bb6dc2b5e9
--- /dev/null
+++ b/games/OpenJK/OpenJK-outcast.png
Binary files differ
diff --git a/games/OpenJK/OpenJK.SlackBuild b/games/OpenJK/OpenJK.SlackBuild
new file mode 100644
index 0000000000..a0651f4886
--- /dev/null
+++ b/games/OpenJK/OpenJK.SlackBuild
@@ -0,0 +1,126 @@
+#!/bin/sh
+
+# Slackware build script for OpenJK
+
+# Copyright 2016 Danny Schmarsel <danny@schmarsel.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=OpenJK
+VERSION=${VERSION:-7613c1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# According to the official website,
+# support for Jedi Outcast is rudimentary
+# and not very well tested.
+# Setting this to no, so we only build Jedi Academy
+# by default.
+BUILDJO=${BUILDJO:-no}
+JOARGS=""
+if [ "$BUILDJO" = "yes" ]; then
+ JOARGS="-DBuildJK2SPEngine=On -DBuildJK2SPGame=On -DBuildJK2SPRdVanilla=On"
+fi
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/opt \
+ $JOARGS \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/share/pixmaps
+cp $CWD/OpenJK-academy.png $PKG/usr/share/pixmaps/OpenJK-academy.png
+if [ "$BUILDJO" = "yes" ]; then
+ cp $CWD/OpenJK-outcast.png $PKG/usr/share/pixmaps/OpenJK-outcast.png
+fi
+
+mkdir -p $PKG/usr/share/applications
+sed "s/TARGETARCH/$ARCH/g" \
+ < $CWD/OpenJK-academy.desktop \
+ > $PKG/usr/share/applications/OpenJK-academy.desktop
+sed "s/TARGETARCH/$ARCH/g" \
+ < $CWD/OpenJK-academy-multi.desktop \
+ > $PKG/usr/share/applications/OpenJK-academy-multi.desktop
+if [ "$BUILDJO" = "yes" ]; then
+ sed "s/TARGETARCH/$ARCH/g" \
+ < $CWD/OpenJK-outcast.desktop \
+ > $PKG/usr/share/applications/OpenJK-outcast.desktop
+fi
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGELOG.md LICENSE.txt README.md $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/OpenJK/OpenJK.info b/games/OpenJK/OpenJK.info
new file mode 100644
index 0000000000..e05e35a742
--- /dev/null
+++ b/games/OpenJK/OpenJK.info
@@ -0,0 +1,10 @@
+PRGNAM="OpenJK"
+VERSION="7613c1"
+HOMEPAGE="https://github.com/JACoders/OpenJK"
+DOWNLOAD="http://schmatzler.de/my_slackbuilds/OpenJK/OpenJK-7613c1.tar.bz2"
+MD5SUM="b5d27a41af26b097964565669c1dd7c0"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="OpenAL SDL2"
+MAINTAINER="Danny Schmarsel"
+EMAIL="danny@schmarsel.de"
diff --git a/games/OpenJK/README b/games/OpenJK/README
new file mode 100644
index 0000000000..8f14516822
--- /dev/null
+++ b/games/OpenJK/README
@@ -0,0 +1,25 @@
+OpenJK is an effort by the JACoders group to maintain and improve
+the game engines on which the Jedi Academy (JA) and Jedi Outcast (JO)
+games run, while maintaining full backwards compatibility with the
+existing games.
+
+According to the official website, support for Jedi Outcast is
+rudimentary and not very well tested, so it is not built by default.
+If you want to build it, pass "BUILDJO=yes" on the command line.
+
+You will need the game data from Jedi Academy. If you don't already own
+Jedi Academy, you can buy it from online stores such as Steam, Amazon
+or GOG. Copy the contents of the GameData/base directory to
+/opt/JediAcademy/base and/or /opt/JediOutcast/base.
+
+By default, the games only support 4:3 resolutions. For modern monitors
+you have to create /opt/JediAcademy/base/autoexec.cfg and/or
+/opt/JediOutcast/base/autoexec.cfg (change the resolution and FOV to
+your needs):
+
+set r_customWidth "1360"
+set r_customHeight "768"
+set r_mode "-1"
+vid_restart
+cg_fov "97"
+cg_fovaspectadjust 1
diff --git a/games/OpenJK/doinst.sh b/games/OpenJK/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/games/OpenJK/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/games/OpenJK/slack-desc b/games/OpenJK/slack-desc
new file mode 100644
index 0000000000..0ed3dc374d
--- /dev/null
+++ b/games/OpenJK/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+OpenJK: OpenJK (Port of the Jedi Academy game engine)
+OpenJK:
+OpenJK: OpenJK is an effort by the JACoders group to maintain and improve
+OpenJK: the game engines on which the Jedi Academy (JA) and Jedi Outcast (JO)
+OpenJK: games run on, while maintaining full backwards compatibility with the
+OpenJK: existing games.
+OpenJK:
+OpenJK:
+OpenJK:
+OpenJK:
+OpenJK: